<?php

/*

		用户收藏模块管理

*/

//载入全局配置和函数包
require_once(dirname(__FILE__)."/../include/global.php");

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $Project["charset"];?>" />
<title>模块管理 - Powered By VeryIDE</title>

<?php

echo loader_style(array(VI_BASE."style/dialog.css"),$Project["charset"],$Project["version"]);

echo loader_script(array(VI_BASE."js/mo.js",VI_BASE."js/core.js",VI_BASE."js/library.js",VI_BASE."js/effect.js"),$Project["charset"],$Project["version"]);

?>

<script>

Mo.reader(function(){

        //高亮选中主题
        Mo("#addons li a").bind( 'click', function( index , e ){
                 
                 parent.Serv.Apps.open( Mo(this).attr("appid") , Mo(this).attr("appname") );
                

        });

});

</script>

</head>

<body>

    <div id="wrapper">

        <?php
    
        //未登录
        if( !$_SESSION["Manager"]["id"] ){    
            exit('<div id="error">未登录，请先登录</div>');    
        }
    
        ?>
    
        <ul id="addons">
    
        <?php
        
        //mysql open
        reader_mysql();
        
        //插件列表
        
        $sql="select appid from ".VI_DBMANPRE."quick where aid = '".$_SESSION["Manager"]["id"]."'";
        
        $res = $db -> getAll( $sql );
        
        foreach( $res as $key => $val ){                
                $addon[] = $val["appid"];
        }        
        
        ///////////////////////////////////////////////////
        
        $i = 1;
    
        //遍历模块
        foreach( $VICACHE["sys.module"] as $appid => $config ){
        
			//配置文件
			$self = VI_ROOT."/module/".$config["config"];
    
            //加载配置
            if ( $config["config"] && file_exists( $self ) && require($self) ) {
            
                $app = $Modules[$appid];
                
                if( $addon && in_array( $appid, $addon ) ){
                
                        echo '<li'.( $i % 2 == 0 ? ' class="zebra"' : '' ).'>';
        
                        echo '<a href="javascript:void(0);" appid="'.$appid.'" appname="'.$app["name"].'"><img src="'.VI_BASE.'module/'.$appid.'/icon.png" /><span>'.$app["name"].'</span></a>';
        
                        echo '</li>';
                
                }
                
                $i++;
    
            }
        }
    
        //mysql close
        reader_mysql(true);
    
        ?>
    
        </ul>
        
    </div>
    
</body>
</html>